Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

## Class TransactionQuantities1Choice

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_02.TransactionQuantities1Choice

    public class TransactionQuantities1Choice
    extends java.lang.Object

Java class for TransactionQuantities1Choice complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionQuantities1Choice">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="Qty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}FinancialInstrumentQuantityChoice"/>
               <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}ProprietaryQuantity1"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ProprietaryQuantity1` `prtry`
`protected FinancialInstrumentQuantityChoice` `qty`

### Constructor Summary

Constructors
`TransactionQuantities1Choice()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ProprietaryQuantity1` `getPrtry()` Gets the value of the prtry property.
`FinancialInstrumentQuantityChoice` `getQty()` Gets the value of the qty property.
`void` `setPrtry​(ProprietaryQuantity1 value)` Sets the value of the prtry property.
`void` `setQty​(FinancialInstrumentQuantityChoice value)` Sets the value of the qty property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### qty

    protected FinancialInstrumentQuantityChoice qty

#### prtry

    protected ProprietaryQuantity1 prtry

### Constructor Detail

#### TransactionQuantities1Choice

    public TransactionQuantities1Choice()

### Method Detail

#### getQty

    public FinancialInstrumentQuantityChoice getQty()

Gets the value of the qty property.

Returns:
  possible object is `FinancialInstrumentQuantityChoice`

#### setQty

    public void setQty​(FinancialInstrumentQuantityChoice value)

Sets the value of the qty property.

Parameters:
  `value` - allowed object is `FinancialInstrumentQuantityChoice`

#### getPrtry

    public ProprietaryQuantity1 getPrtry()

Gets the value of the prtry property.

Returns:
  possible object is `ProprietaryQuantity1`

#### setPrtry

    public void setPrtry​(ProprietaryQuantity1 value)

Sets the value of the prtry property.

Parameters:
  `value` - allowed object is `ProprietaryQuantity1`